eureka:
  client:
    service-url:
      defaultZone: http://localhost:1101/eureka/
logging:
  level:
    root: info
mybatis:
  mapper-locations: classpath:mybatis/mapping/*.xml
  type-aliases-package: com.neusoft.smart.pos.persistent.domain
spring:
  redis:
    #数据库索引
    database: 0
    #主机地址
    host: 127.0.0.1
    #主机端口
    port: 6379
    #密码
    password:
    #最大连接数，为负表示不限制
    maxTotal: 8
    #最大阻塞等待时间，为负表示不限制
    maxWait: -1
    #最大空闲连接
    maxIdle: 8
    #最小空闲连接
    minIdle: 0
    #连接超时时间
    timeout: 0
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  mvc:
    date-format: yyyy-MM-dd HH:mm:ss
  http:
    encoding:
      charset: UTF-8
      enabled: true
    multipart:
      location: /
  rabbitmq:
      host: localhost
      username: fmpos
      password: fmpos@server123
      port: 5672
server:
  tomcat:
    uri-encoding: UTF-8
    accept-count: 1000
    max-threads: 1000
    max-connections: 2000
zuul:
  ribbon:
    eager-load:
      enabled: true
  semaphore:
    max-semaphores: 1000 # 默认值
  debug:
    request: false
  sensitiveHeaders: Authorization
  host:
    connect-timeout-millis: 60000
    socket-timeout-millis: 60000
    add-host-header: true
    max-total-connections: 2000 # 默认值
    maxTotalConnections: 2000
    max-per-route-connections: 2000 # 默认值
    maxPerRouteConnections: 2000
hystrix:
  command:
    service-user:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 50000
      circuitBreaker:
        enabled: false
    service-ota:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 50000
      circuitBreaker:
        enabled: false
    service-device:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 50000
      circuitBreaker:
        enabled: false
    service-org:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 50000
      circuitBreaker:
        enabled: false
    service-advertisement:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 50000
      circuitBreaker:
        enabled: false
    service-inventory:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 50000
    service-member:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 50000
      circuitBreaker:
        enabled: false
        requestVolumeThreshold: 1000
    service-trade:
      execution:
        isolation:
          strategy: THREAD
          thread:
            timeoutInMilliseconds: 50000
      circuitBreaker:
        enabled: false
        requestVolumeThreshold: 1000
    service-payment:
      execution:
        isolation:
          strategy: THREAD
          thread:
            timeoutInMilliseconds: 50000
      circuitBreaker:
        enabled: false
        requestVolumeThreshold: 1000
    service-promotion:
      execution:
        isolation:
          strategy: THREAD
          thread:
            timeoutInMilliseconds: 50000
      circuitBreaker:
        enabled: false
        requestVolumeThreshold: 1000
    default:
      execution:
        isolation:
          strategy: THREAD
          thread:
            timeoutInMilliseconds: 50000
      circuitBreaker:
        enabled: false
        requestVolumeThreshold: 1000
      fallback:
        enabled: false
  threadpool:
    default:
      coreSize: 1000
      maximumSize: 1000
    service-inventory:
      coreSize: 1000
      maximumSize: 1000
    service-trade:
      coreSize: 1000
      maximumSize: 1000
    service-org:
      coreSize: 1000
      maximumSize: 1000
    service-device:
      coreSize: 1000
      maximumSize: 1000
    service-user:
      coreSize: 1000
      maximumSize: 1000
    service-payment:
      coreSize: 1000
      maximumSize: 1000
    service-promotion:
      coreSize: 1000
      maximumSize: 1000
ribbon:
  ReadTimeout: 60000
  SocketTimeout: 60000

  eager-load:
    enabled: true
    clients: service-device, service-ota, service-trade, service-advertisement,  service-inventory, service-member, service-org, service-payment, service-user
security:
  enable-csrf: false
  ignored:
    - /**

feign:
  compression:
    request:
      enabled: true
    response:
      enabled: true

smart:
  pos:
    constant:
      #是否启用营销系统
      promotion:
        enabled: false
      oss:
        endpoint: oss-cn-beijing.aliyuncs.com
        accessId: LTAIm8Xt7lFtKxm6
        accessKey: bmZVdGdffb5fatUxiIL1PhckOxLE1d
        host: http://neusoft-ota.oss-cn-beijing.aliyuncs.com
        url:
          ota: http://10.209.96.135:8080/file/ota/
          media: http://10.209.96.135:8080/file/media/
          config: http://10.209.96.135:8080/file/config/
          codeLib: http://10.209.96.135:8080/file/codeLib/
          img: http://10.209.96.135:8080/file/img/
          qrCode: http://10.209.96.135:8080/file/qrCode/
          storeLogo: http://10.209.96.135:8080/file/logo/
          apk: http://10.209.96.135:8080/file/apk
      upload:
        path: /mnt/hgfs/share/
        relativePath: \
